Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Pango::AttrString Class Reference

A PangoAttrString C++ wrapper class. More...

`#include <inti/pango/attributes.h>`

Inheritance diagram for Inti::Pango::AttrString:

List of all members.

## Public Member Functions

Accessors

- PangoAttrString * pango_attr_string () const
    Get a pointer to the PangoAttrString structure.
- String get_string () const
    Returns the string.

Methods

- void set_string (const String &str)
    Sets the string value for the attribute.

## Protected Member Functions

Constructors

- AttrString (PangoAttribute *attr, bool copy)
    Construct a new string attribute from an existing string PangoAttribute.

## Detailed Description

A PangoAttrString C++ wrapper class.

AttrString is the base class for string attributes.

## Constructor & Destructor Documentation

Inti::Pango::AttrString::AttrString | ( | PangoAttribute * | attr,
|  | bool | copy
| ) | `[explicit, protected]`

  | Construct a new string attribute from an existing string PangoAttribute. Parameters:
  attr | A string PangoAttribute.
  copy | Set true if a copy of attr should be used.
If copy is true attr is copied. If false attr is assumed to be a valid string attribute that must be freed. Either way AttrString will own the PangoAttribute and free it when it's no longer required.

## Member Function Documentation

void Inti::Pango::AttrString::set_string | ( | const String & | str | ) |

  | Sets the string value for the attribute. Parameters:
  str | The new string.

The documentation for this class was generated from the following file:

- attributes.h

Main Page - Footer